Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 442912 - kde-misc/kio-upnp-ms-1.0.0_p20110602 works only if the debug IUSE flag is set
Summary: kde-misc/kio-upnp-ms-1.0.0_p20110602 works only if the debug IUSE flag is set
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard: removed on 2013/12/04
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-12 20:02 UTC by PhobosK
Modified: 2013-12-04 21:12 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description PhobosK 2012-11-12 20:02:48 UTC
When kde-misc/kio-upnp-ms is emerged without the "debug" IUSE flag, it doesn't work at all.
If the "debug" IUSE flag is ON, then the upnp kio works as expected.

More info is shown bellow as the version of KDE is 4.9.3 with IUSE flags of kedlibs: (3dnow acl alsa bzip2 debug fam handbook jpeg2k kerberos lzma mmx nls openexr opengl policykit semantic-desktop spell sse sse2 ssl udev udisks udisks2 upnp upower zeroconf -altivec -aqua -doc -test)

During the ebuild the only different configure options between the two instances (the working  one and the broken one) added by the kde eclass are:

For the no-debug flag version (-debug):
=======================================
SET (CMAKE_C_COMPILE_OBJECT "<CMAKE_C_COMPILER> <DEFINES>  -DQT_NO_DEBUG -DNDEBUG <FLAGS> -o <OBJECT> -c <SOURCE>" CACHE STRING "C compile command" FORCE)
SET (CMAKE_CXX_COMPILE_OBJECT "<CMAKE_CXX_COMPILER> <DEFINES>  -DQT_NO_DEBUG -DNDEBUG <FLAGS> -o <OBJECT> -c <SOURCE>" CACHE STRING "C++ compile command" FORCE)

For the debug flag version (debug):
===================================
SET (CMAKE_C_COMPILE_OBJECT "<CMAKE_C_COMPILER> <DEFINES>  <FLAGS> -o <OBJECT> -c <SOURCE>" CACHE STRING "C compile command" FORCE)
SET (CMAKE_CXX_COMPILE_OBJECT "<CMAKE_CXX_COMPILER> <DEFINES>  <FLAGS> -o <OBJECT> -c <SOURCE>" CACHE STRING "C++ compile command" FORCE)

i.e. the presence or absence of: "-DQT_NO_DEBUG -DNDEBUG"...


I dunno if this is an upstream bug or an ebuild one or my system configuration, but the fact is that with the debug IUSE flag ON things work perfect.

I have not tested the situation when kdelibs is ebuild with the -upnp IUSE (as by default) and kio-upnp-ms is with debug IUSE ON. 
But I have tested when kdelibs are -upnp and kio-upnp-ms is -debug -> the upnp kio doesn't work as expected.

If you need more info please let me know :)

Reproducible: Always

Steps to Reproduce:
1. Unmask the upnp IUSE for kdelibs in /etc/portage/profile/package.use.mask i.e. put "kde-base/kdelibs -upnp" in it.
2. emerge =kde-base/kdelibs-4.9.3
3. IUSE="-debug" emerge =kde-misc/kio-upnp-ms-1.0.0_p20110602
4. Relogin KDE and open Dolphin (or Amarok) considering you have a running UPNP media server in your LAN.
5. Click on the LAN UPNP server in dolphin or look at the "Local music" collection in Amarok.
The result is that NO content is displayed in Dolphin for the server (and later an error appears that the connection had suddenly dropped) or in Amarok no media from the LAN server is displayed. Nothing specific for upnp being logged if the apps are started in terminal.

Now do the following:
1. Keep the unmasked upnp IUSE for kdelibs in /etc/portage/profile/package.use.mask i.e. the "kde-base/kdelibs -upnp" line in it.
2. IUSE="debug" emerge =kde-misc/kio-upnp-ms-1.0.0_p20110602
4. Relogin KDE and open Dolphin (or Amarok) considering you have a running UPNP media server in your LAN.
5. Click on the LAN UPNP server in dolphin or look at the "Local music" collection in Amarok.
Now the result is ok - Dolphin shows the content of the server, and Amarok the media files.




emerge --info
Portage 2.1.11.31 (default/linux/amd64/10.0, gcc-4.6.3, glibc-2.16.0, 3.6.6-gentoo x86_64)
=================================================================
System uname: Linux-3.6.6-gentoo-x86_64-AMD_Athlon-tm-_II_X4_620_Processor-with-gentoo-2.2
Timestamp of tree: Sun, 11 Nov 2012 23:30:01 +0000
ld GNU ld (GNU Binutils) 2.23
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p39
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.1.5, 3.2.3-r1
dev-util/cmake:           2.8.9-r1
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.5
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.4
sys-devel/binutils:       2.23
sys-devel/gcc:            4.5.4, 4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4                                                                                                                                                                                           
sys-kernel/linux-headers: 3.6 (virtual/os-headers)                                                                                                                                                                          
sys-libs/glibc:           2.16.0                                                                                                                                                                                            
Repositories: gentoo voip my_gentoo                                                                                                                                                                                         
Installed sets: @system                                                                                                                                                                                                     
ACCEPT_KEYWORDS="amd64 x86 ~amd64 ~x86"                                                                                                                                                                                     
ACCEPT_LICENSE="*"                                                                                                                                                                                                          
CBUILD="x86_64-pc-linux-gnu"                                                                                                                                                                                                
CFLAGS="-march=native -O2 -pipe"                                                                                                                                                                                            
CHOST="x86_64-pc-linux-gnu"                                                                                                                                                                                                 
CONFIG_PROTECT="/etc /usr/lib/udev/rules.d/95-keymap.rules /usr/libexec/webmin/bandwidth/index.cgi /usr/share/X11/xkb/rules/base /usr/share/X11/xkb/rules/base.lst /usr/share/X11/xkb/rules/base.xml /usr/share/X11/xkb/rules/evdev /usr/share/X11/xkb/rules/evdev.lst /usr/share/X11/xkb/rules/evdev.xml /usr/share/X11/xkb/symbols.dir /usr/share/X11/xkb/symbols/inet /usr/share/config /usr/share/dbus-1/system-services/org.freedesktop.ModemManager.service /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"                                                                                                  
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"                                                                                                                                                                                            
CXXFLAGS="-march=native -O2 -pipe"                                                                                                                                                                                          
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS=" --select y --keep-going y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf-8"
LC_ALL="en_US.utf-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en bg"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/dev/shm"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/layman/voip /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 64bit 7zip X X509 a52 aac aacs aalib accessibility ace acl acpi addbookmarks additions adns adplug aiglx aim akode alias alsa amd amd64 amr amrnb amrwb amuled animation-rtl animgif ao aoss aotuv apache2 apm ares arts artworkextra asf asterisk audiofile authdaemond authfile autoreplace avahi avantgo background bash-completion bazaar bdf berkdb binfilter bittorrent bl bluetooth bluray bogofilter bonjour bonobo bzip2 cairo caps cdda cddb cdparanoia cdr cdrom chm chroot cisco clamav clamd clearcase cli colordiff connectionstatus contactnotes contrib corba cpio cpudetection cpufreq cracklib crypt css cups curl curlwrappers cursors cvs cxx daap dar64 darcs dbase dbm dbus dbx dc1394 dcraw development device-mapper dga dhcp directfb disk-partition divx dmi dri dts dv dvd dvdnav dvdr dvdread dvi dynamicplugin eds emerald enblend enca encode escreen esd etwin evo evolution examples exif expat extensions extra extra-algorithms extra-cardsets extrafilters extraicons extramodules extras fam fame farsight farstream fasttrack fat fax fbcon ffmpeg filter finger firefox flac flask flatfile flickr fltk foomaticdb fortran fping fpx freetts ftp fusion gd gdbm geoip ggi gif gimp git glib glitz gmedia gmp gnokii gnome gnome-keyring gnutella gnutls gpac gphoto2 gpm grammar graphviz groupwise gsf gstreamer gtk gtkhtml guile hddtemp hfs history howl howl-compat http httpd hvm icons iconv icq icu id3 idea idn ieee1394 ifsession imagemagick imap imlib inifile inkjar innodb ios ios-vout ipod iproute2 iptc ipv6 irda irmc jabber jack javascript jfs jingle joystick jpeg jpeg2k kde kdecards kdepim kdm kerberos kipi kqemu ladspa lame laptop lash lastfm lastfmfingerprint lastfmradio latex lcms ldap libcaca libgda libnotify libsamplerate libvisual libwww lirc live lm_sensors logitech-mouse lzma lzo lzw mad maildir mailwrapper matroska mbox md5sum mdnsresponder-compat meanwhile mercurial metalink mikmod mjpeg mmap mmkeys mmx mmxext mng mod modules motif mozdevelop mozdom mp2 mp3 mp4 mp4live mpeg mpeg2 mpi mplayer mpm-prefork msn mudflap multilib multiuser musepack musicbrainz mysql nas nautilus ncurses netjack netmeeting netpbm network networkmanager nforce2 nfs nis njb nls nntp nptl nsplugin ntfs ntfsprogs nuv nvidia obex ocaml ocrad ofa offensive office ofx ogg openal openexr openft opengl openmp osc oscar p2p pam pcre pcsc-lite pda pdf php pkcs11 player plugins pmount pmu png pnm policykit polling pop3d portaudio posix postproc postscript povray ppds pppd prediction pulseaudio python qemu qq qt3 qt3support qt4 query-browser quicktime quotas quotes radio radius rar rdesktop readline realmedia recode reiser4 reiserfs replytolist rpm rtsp ruby samba sametime scanner screen sdl sdl-image search semantic-desktop sensord session sftp shaper sharedext sharedmem shorten shout sift silc skey skins slang slp smartcard sms sndfile soap sockets socks5 sound soundex soundtouch sox speex spell sqlite sqlite3 srt sse sse2 ssl startup-notification statistics stream subject-rewrite subversion svg swat sylpheed symlink sysfs tagwriting tcl tcpd telepathy test-programs tetex texteffect tga themes theora threads tidy tiff timidity tivo tk tokenizer tools tracker transcode trayicon truetype twolame unicode unzip upnp usb v4l v4l2 vcd vdpau vdr videos vim-syntax visualization vlm vorbis vorbis-psy wavpack webpresence wicd wifi winpopup wireshark withsamplescripts wma wmf wmp wpd wxwindows x264 xanim xattr xcomposite xext xface xfs xine xinerama xinetd xml xmlrpc xosd xpm xprint xscreensaver xsl xsm xv xvid xvmc yahoo zephyr zip zlib zrtp zvbi" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_file authz_dbm authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif speling status unique_id userdir usertrack vhost_alias access_compat asis authn_alias authn_core authz_core cache_disk cern_meta cgi cgid charset_lite dumpio lbmethod_bybusyness lbmethod_byrequests lbmethod_bytraffic lbmethod_heartbeat log_forensic proxy_ftp proxy_scgi reqtimeout slotmem_shm socache_shmcb substitute unixd version" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2 adc65 agfa_cl20 aox ax203 barbie canon casio_qv clicksmart310 digigr8 digita dimagev dimera3500 directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 jl2005a jl2005c kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 largan lg_gsm mars mustek panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 pccam300 pccam600 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ricoh ricoh_g3 samsung sierra sipix_blink sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 soundvision spca50x sq905 st2205 stv0674 stv0680 sx330z template topfield toshiba_pdrm11" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev joystick aiptek" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer nlpsolver pdfimport scripting-beanshell scripting-javascript wiki-publisher" LINGUAS="en bg" LIRC_DEVICES="devinput" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18 ruby19" SANE_BACKENDS="abaton agfafocus apple artec artec_eplus48u as6e avision bh canon canon630u canon_dr canon_pp cardscan coolscan coolscan2 coolscan3 dc210 dc240 dc25 dell1600n_net dmc epjitsu epson epson2 fujitsu genesys gt68xx hp hp3500 hp3900 hp4200 hp5400 hp5590 hpljm1005 hpsj5s hs2p ibm kodak kodakaio kvs1025 kvs20xx leo lexmark ma1509 magicolor matsushita microtek microtek2 mustek mustek_pp mustek_usb nec net niash p5 pie pixma plustek plustek_pp qcam ricoh rts8891 s9036 sceptre sharp sm3600 sm3840 snapscan sp15c st400 stv680 tamarack teco1 teco2 teco3 {test} u12 umax umax1220u umax_pp xerox_mfp pnm" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Michael Palimaka (kensington) gentoo-dev 2013-09-12 11:49:55 UTC
Since UPnP support was disabled upstream in kdelibs and we followed, I think we should remove this package.
Comment 2 Johannes Huber gentoo-dev 2013-11-03 12:54:57 UTC
(In reply to Michael Palimaka (kensington) from comment #1)
> Since UPnP support was disabled upstream in kdelibs and we followed, I think
> we should remove this package.

We decided to remove this package. Announced on -dev and -dev-announce mailing lists.
Comment 3 Johannes Huber gentoo-dev 2013-12-04 21:12:23 UTC
Package removed from tree.